<?php
/**
 * Queremos crear un hash de nuestra contraseña uando el algoritmo DEFAULT actual.
 * Actualmente es BCRYPT, y producirá un resultado de 60 caracteres.
 *
 * Hay que tener en cuenta que DEFAULT puede cambiar con el tiempo, por lo que debería prepararse
 * para permitir que el almacenamento se amplíe a más de 60 caracteres (255 estaría bien)
 */

$fecha = new DateTime();
$currenttimestamp = $fecha->getTimestamp();
$token = substr(password_hash($currenttimestamp, PASSWORD_DEFAULT), 7, 10);

echo $token ."\n";

echo phpinfo();
?>

